# Changelog: `gatsby-plugin-utils`

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [3.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.10.0/packages/gatsby-plugin-utils) (2022-06-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.16)

#### Features

- add image cdn source urls to redux [#35427](https://github.com/gatsbyjs/gatsby/issues/35427) [#35863](https://github.com/gatsbyjs/gatsby/issues/35863) ([aacb781](https://github.com/gatsbyjs/gatsby/commit/aacb781438760e2c3f8bfa64132a0a87fa2d55ff))
- add `contentDigest` to image cdn args [#35816](https://github.com/gatsbyjs/gatsby/issues/35816) [#35860](https://github.com/gatsbyjs/gatsby/issues/35860) ([cedbdb8](https://github.com/gatsbyjs/gatsby/commit/cedbdb89153a21bd4e22e612f677bf291aadceee))
- Add setRequestHeaders action/api [#35655](https://github.com/gatsbyjs/gatsby/issues/35655) ([f520e59](https://github.com/gatsbyjs/gatsby/commit/f520e59599a237b0a8ed105bff931c5058e2bfa8))

#### Bug Fixes

- Make `GatsbyImageData` nullable [#35777](https://github.com/gatsbyjs/gatsby/issues/35777) ([ca09aa7](https://github.com/gatsbyjs/gatsby/commit/ca09aa7a7b1fbb719ef3cd0c64bbe663d30d73c2))

#### Chores

- update dependency typescript to ^4.7.2 [#35808](https://github.com/gatsbyjs/gatsby/issues/35808) ([2c55b79](https://github.com/gatsbyjs/gatsby/commit/2c55b794dd95b40a994f56df5f912219771ccab4))

### [3.9.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.9.1/packages/gatsby-plugin-utils) (2022-06-01)

#### Bug Fixes

- Make `GatsbyImageData` nullable [#35777](https://github.com/gatsbyjs/gatsby/issues/35777) [#35785](https://github.com/gatsbyjs/gatsby/issues/35785) ([e7a3e6e](https://github.com/gatsbyjs/gatsby/commit/e7a3e6ebca645bd15f668aa3c2e763d93d648ea0))

## [3.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.9.0/packages/gatsby-plugin-utils) (2022-05-24)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.15)

#### Bug Fixes

- Throw Typegen errors & add `IGatsbyImageData` to output [#35683](https://github.com/gatsbyjs/gatsby/issues/35683) ([e7fc88b](https://github.com/gatsbyjs/gatsby/commit/e7fc88b024c84a3e9f732deec7441621024e1f95))

## [3.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.8.0/packages/gatsby-plugin-utils) (2022-05-10)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.14)

#### Bug Fixes

- update dependency fs-extra to ^10.1.0 [#34976](https://github.com/gatsbyjs/gatsby/issues/34976) ([10752ed](https://github.com/gatsbyjs/gatsby/commit/10752ed325ac0ebc2655b994862f66abe072e09f))

#### Chores

- update dependency typescript to ^4.6.4 [#34984](https://github.com/gatsbyjs/gatsby/issues/34984) ([71eb414](https://github.com/gatsbyjs/gatsby/commit/71eb414ad5abf1c835a2c243f01ac98ea5ee7e37))

## [3.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.7.0/packages/gatsby-plugin-utils) (2022-04-26)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.13)

#### Features

- bring back defaults before image_cdn [#35370](https://github.com/gatsbyjs/gatsby/issues/35370) ([027acf8](https://github.com/gatsbyjs/gatsby/commit/027acf8e44ad649c6e4d7a46946d3dfe1baa501a))
- enable tracedsvg [#35328](https://github.com/gatsbyjs/gatsby/issues/35328) ([a246011](https://github.com/gatsbyjs/gatsby/commit/a246011dafdba0230847b02c2812b6bda298f8e1))

### [3.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.6.1/packages/gatsby-plugin-utils) (2022-04-13)

**Note:** Version bump only for package gatsby-plugin-utils

## [3.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.6.0/packages/gatsby-plugin-utils) (2022-04-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.12)

#### Bug Fixes

- path pieces too long and url safe base64 encoding [#35160](https://github.com/gatsbyjs/gatsby/issues/35160) ([3f12544](https://github.com/gatsbyjs/gatsby/commit/3f1254492bacfbe1957c5d2ce866392ec8105b50))

#### Chores

- update dependency msw to ^0.39.2 for gatsby-plugin-utils [#35300](https://github.com/gatsbyjs/gatsby/issues/35300) ([aa0f61a](https://github.com/gatsbyjs/gatsby/commit/aa0f61ab40560183745e96bcef834577bc4be156))

### [3.5.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.5.1/packages/gatsby-plugin-utils) (2022-03-31)

**Note:** Version bump only for package gatsby-plugin-utils

## [3.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.5.0/packages/gatsby-plugin-utils) (2022-03-29)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.11)

#### Features

- support aspect ratio for Image Service [#35087](https://github.com/gatsbyjs/gatsby/issues/35087) ([3f2bc25](https://github.com/gatsbyjs/gatsby/commit/3f2bc25532eb457ee3d607688eb6592bc8d0bc78))

#### Bug Fixes

- Add missing fs-extra dep [#35165](https://github.com/gatsbyjs/gatsby/issues/35165) ([55deac1](https://github.com/gatsbyjs/gatsby/commit/55deac16a654307bf6213239f1c6457413909ef0))

### [3.4.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.4.2/packages/gatsby-plugin-utils) (2022-03-23)

**Note:** Version bump only for package gatsby-plugin-utils

### [3.4.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.4.1/packages/gatsby-plugin-utils) (2022-03-18)

#### Bug Fixes

- Add missing fs-extra dep [#35165](https://github.com/gatsbyjs/gatsby/issues/35165) [#35168](https://github.com/gatsbyjs/gatsby/issues/35168) ([3ac159f](https://github.com/gatsbyjs/gatsby/commit/3ac159f2c08ca18426d252d591486756e7d04c5c))

## [3.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.4.0/packages/gatsby-plugin-utils) (2022-03-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.10)

#### Features

- add support for image-cdn [#34825](https://github.com/gatsbyjs/gatsby/issues/34825) ([29b236b](https://github.com/gatsbyjs/gatsby/commit/29b236b7f2212d062a65d34781a612d715d936ef))

#### Bug Fixes

- make sure avif, webp are sorted correctly [#35024](https://github.com/gatsbyjs/gatsby/issues/35024) ([3b8710c](https://github.com/gatsbyjs/gatsby/commit/3b8710c2f9784800d89d6a80b77f53316f890e11))

## [3.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.3.0/packages/gatsby-plugin-utils) (2022-03-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.9)

#### Chores

- Format changelog files ([088f23b](https://github.com/gatsbyjs/gatsby/commit/088f23b084b67f746a383e06e9216cef83270317))

## [3.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.2.0/packages/gatsby-plugin-utils) (2022-02-22)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.8)

#### Features

- feature toggle and availability [#34748](https://github.com/gatsbyjs/gatsby/issues/34748) ([93a2071](https://github.com/gatsbyjs/gatsby/commit/93a2071742a583219836819a3d8665adc961209a))

## [3.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.1.0/packages/gatsby-plugin-utils) (2022-02-08)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.7)

#### Chores

- update dependency typescript to ^4.5.5 [#34641](https://github.com/gatsbyjs/gatsby/issues/34641) ([f7a7e1f](https://github.com/gatsbyjs/gatsby/commit/f7a7e1f642d91babb397156ab37cb28dcde19737))

## [3.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@3.0.0/packages/gatsby-plugin-utils) (2022-01-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.6)

#### Bug Fixes

- don't throw on warnings in `pluginOptionsSchema` [#34182](https://github.com/gatsbyjs/gatsby/issues/34182) ([252f50d](https://github.com/gatsbyjs/gatsby/commit/252f50d0f282bee4c7e10065682bea52a603aa0c))

## [2.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.5.0/packages/gatsby-plugin-utils) (2022-01-11)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.5)

#### Chores

- update dependency typescript to ^4.5.4 [#34358](https://github.com/gatsbyjs/gatsby/issues/34358) ([c6e4298](https://github.com/gatsbyjs/gatsby/commit/c6e42985a20d6b148442aa5f7af1880fa600780b))

## [2.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.4.0/packages/gatsby-plugin-utils) (2021-12-14)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.4)

#### Chores

- update dependency typescript to ^4.5.2 [#34144](https://github.com/gatsbyjs/gatsby/issues/34144) ([51bff91](https://github.com/gatsbyjs/gatsby/commit/51bff91246cbc48ba50c9650205b0488691fb82a))

## [2.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.3.0/packages/gatsby-plugin-utils) (2021-12-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.3)

**Note:** Version bump only for package gatsby-plugin-utils

## [2.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.2.0/packages/gatsby-plugin-utils) (2021-11-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.2)

#### Bug Fixes

- allow not defining entry for subplugins [#33900](https://github.com/gatsbyjs/gatsby/issues/33900) ([f87164f](https://github.com/gatsbyjs/gatsby/commit/f87164f6af6285365ec2098d6233313a6b4c0982))

#### Chores

- update dependency typescript to ^4.4.4 [#33757](https://github.com/gatsbyjs/gatsby/issues/33757) ([7743561](https://github.com/gatsbyjs/gatsby/commit/7743561bbbe0a621d22030fecbba97dfc3e566d1))

### [2.1.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.1.1/packages/gatsby-plugin-utils) (2021-11-09)

#### Bug Fixes

- allow not defining entry for subplugins [#33900](https://github.com/gatsbyjs/gatsby/issues/33900) [#33909](https://github.com/gatsbyjs/gatsby/issues/33909) ([4975ee2](https://github.com/gatsbyjs/gatsby/commit/4975ee26561a520daf8e2082479d21b2062a862e))

## [2.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.1.0/packages/gatsby-plugin-utils) (2021-11-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.1)

**Note:** Version bump only for package gatsby-plugin-utils

## [2.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@2.0.0/packages/gatsby-plugin-utils) (2021-10-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.0)

#### Bug Fixes

- update typescript [#33387](https://github.com/gatsbyjs/gatsby/issues/33387) ([f2a8035](https://github.com/gatsbyjs/gatsby/commit/f2a8035644e650487abbca8b74a98b96c32d9cd2))
- update typescript [#33001](https://github.com/gatsbyjs/gatsby/issues/33001) ([6cd70f6](https://github.com/gatsbyjs/gatsby/commit/6cd70f62ecae4aeee8ece38866661be9239062cb))

#### Chores

- apply patches for v4 [#33170](https://github.com/gatsbyjs/gatsby/issues/33170) ([f8c5141](https://github.com/gatsbyjs/gatsby/commit/f8c5141bf72108a53338fd01514522ae7a1b37bf))

#### Other Changes

- adjust tests after the bump [#33171](https://github.com/gatsbyjs/gatsby/issues/33171) ([4712acc](https://github.com/gatsbyjs/gatsby/commit/4712acc619c19cd23a1b2e94e7253ddd624aa927))

## [1.14.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.14.0/packages/gatsby-plugin-utils) (2021-09-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.14)

#### Features

- graphql engine [#33030](https://github.com/gatsbyjs/gatsby/issues/33030) ([48cff06](https://github.com/gatsbyjs/gatsby/commit/48cff061dfca53b8f5236bc9c65289cc08f5a8c3))

#### Bug Fixes

- update dependency joi to ^17.4.2 for gatsby-plugin-utils [#32585](https://github.com/gatsbyjs/gatsby/issues/32585) ([ed8301e](https://github.com/gatsbyjs/gatsby/commit/ed8301e8144975776ad3e3e11fb6bcdc968956a7))

#### Chores

- update babel monorepo [#32996](https://github.com/gatsbyjs/gatsby/issues/32996) ([048c7a7](https://github.com/gatsbyjs/gatsby/commit/048c7a727bbc6a9ad8e27afba72ee20e946c4aaa))
- add missing `@babel/runtime` dependencies [#32954](https://github.com/gatsbyjs/gatsby/issues/32954) ([401b358](https://github.com/gatsbyjs/gatsby/commit/401b3589771135ec35ab8f68406a64de6b387d9d))

## [1.13.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.13.0/packages/gatsby-plugin-utils) (2021-09-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.13)

#### Chores

- re-generate changelogs [#32886](https://github.com/gatsbyjs/gatsby/issues/32886) ([417df15](https://github.com/gatsbyjs/gatsby/commit/417df15230be368a9db91f2ad1a9bc0442733177))

## [1.12.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.12.0/packages/gatsby-plugin-utils) (2021-08-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.12)

#### Chores

- update babel monorepo [#32564](https://github.com/gatsbyjs/gatsby/issues/32564) ([a554998](https://github.com/gatsbyjs/gatsby/commit/a554998b4f6765103b650813cf52dbfcc575fecf))

## [1.11.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.11.0/packages/gatsby-plugin-utils) (2021-08-04)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.11)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.10.0/packages/gatsby-plugin-utils) (2021-07-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.10)

#### Bug Fixes

- update typescript [#31152](https://github.com/gatsbyjs/gatsby/issues/31152) ([124cfcc](https://github.com/gatsbyjs/gatsby/commit/124cfcc4cd42a50a992dde5b420610f290227a78))

#### Chores

- update babel monorepo [#32238](https://github.com/gatsbyjs/gatsby/issues/32238) ([466d4c0](https://github.com/gatsbyjs/gatsby/commit/466d4c087bbc96abb942a02c67243bcc9a4f2a0a))

## [1.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.9.0/packages/gatsby-plugin-utils) (2021-07-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.9)

#### Features

- add unstable_onPluginInit that would execute once in all processes [#31901](https://github.com/gatsbyjs/gatsby/issues/31901) ([2bf8c0d](https://github.com/gatsbyjs/gatsby/commit/2bf8c0d37fd6de3fbbbe7e543275cfd6d64ec9de))

## [1.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.8.0/packages/gatsby-plugin-utils) (2021-06-23)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.8)

#### Chores

- bump babel minor [#31857](https://github.com/gatsbyjs/gatsby/issues/31857) ([7d42e8d](https://github.com/gatsbyjs/gatsby/commit/7d42e8d866e46e9c39838d812d080d06433f7060))

### [1.7.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.7.1/packages/gatsby-plugin-utils) (2021-06-10)

#### Chores

- bump babel minor [#31857](https://github.com/gatsbyjs/gatsby/issues/31857) [#31859](https://github.com/gatsbyjs/gatsby/issues/31859) ([8636025](https://github.com/gatsbyjs/gatsby/commit/863602567930a39142ed33d9d1f1813b7dec8686))

## [1.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.7.0/packages/gatsby-plugin-utils) (2021-06-09)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.7)

#### Chores

- update babel monorepo [#31143](https://github.com/gatsbyjs/gatsby/issues/31143) ([701ab2f](https://github.com/gatsbyjs/gatsby/commit/701ab2f6690c3f1bbaf60cf572513ea566cc9ec9))

## [1.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.6.0/packages/gatsby-plugin-utils) (2021-05-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.6)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.5.0/packages/gatsby-plugin-utils) (2021-05-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.5)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.4.0/packages/gatsby-plugin-utils) (2021-04-28)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.4)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.3.0/packages/gatsby-plugin-utils) (2021-04-14)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.3)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.2.0/packages/gatsby-plugin-utils) (2021-03-30)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.2)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.1.0/packages/gatsby-plugin-utils) (2021-03-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.1)

**Note:** Version bump only for package gatsby-plugin-utils

## [1.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@1.0.0/packages/gatsby-plugin-utils) (2021-03-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.0)

#### Chores

- Upgrade typescript [#29388](https://github.com/gatsbyjs/gatsby/issues/29388) ([823140f](https://github.com/gatsbyjs/gatsby/commit/823140f2b0bbbcab51923186bab8128bb8e0afe5))

## [0.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.9.0/packages/gatsby-plugin-utils) (2021-02-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.32)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.8.0/packages/gatsby-plugin-utils) (2021-01-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.31)

#### Chores

- Fix spelling Fix [#28761](https://github.com/gatsbyjs/gatsby/issues/28761) ([b960334](https://github.com/gatsbyjs/gatsby/commit/b960334309e8d7fe894e59d1079ea1150e958078))

#### Other Changes

- add file extension, fix code block, fix link, fix code fix [#28905](https://github.com/gatsbyjs/gatsby/issues/28905) ([6736a6d](https://github.com/gatsbyjs/gatsby/commit/6736a6d87de150b8ec5e493c1f0a9918386861bd))

## [0.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.7.0/packages/gatsby-plugin-utils) (2021-01-06)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.30)

#### Chores

- update dependency typescript to ^3.9.7 [#28600](https://github.com/gatsbyjs/gatsby/issues/28600) ([15936fb](https://github.com/gatsbyjs/gatsby/commit/15936fbb692771f4a2b865b888e008d29d101276))

## [0.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.6.0/packages/gatsby-plugin-utils) (2020-12-15)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.29)

#### Chores

- update dependency cross-env to ^7.0.3 [#28505](https://github.com/gatsbyjs/gatsby/issues/28505) ([a819b9b](https://github.com/gatsbyjs/gatsby/commit/a819b9bfb663139f7b06c3ed7d6d6069a2382b2c))

## [0.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.5.0/packages/gatsby-plugin-utils) (2020-12-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.28)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.4.0/packages/gatsby-plugin-utils) (2020-11-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.27)

#### Chores

- update babel monorepo [#27528](https://github.com/gatsbyjs/gatsby/issues/27528) ([539dbb0](https://github.com/gatsbyjs/gatsby/commit/539dbb09166e346a6cee568973d2de3d936e8ef3))

## [0.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-plugin-utils@0.3.0/packages/gatsby-plugin-utils) (2020-11-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.26)

**Note:** Version bump only for package gatsby-plugin-utils

<a name="before-release-process"></a>

## [0.2.40](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.39...gatsby-plugin-utils@0.2.40) (2020-10-28)

### Bug Fixes

- **gatsby:** fix subplugin validation ([#27616](https://github.com/gatsbyjs/gatsby/issues/27616)) ([65deab8](https://github.com/gatsbyjs/gatsby/commit/65deab8b47802262d19f7577ba5db302a2cd22e6))

## [0.2.39](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.38...gatsby-plugin-utils@0.2.39) (2020-10-22)

### Bug Fixes

- **gatsby-plugin-utils:** skip libcheck during typegen ([#27588](https://github.com/gatsbyjs/gatsby/issues/27588)) ([0fdd3e9](https://github.com/gatsbyjs/gatsby/commit/0fdd3e969c18c6fda7e5c62fc5a352fce1877974))

## [0.2.38](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.37...gatsby-plugin-utils@0.2.38) (2020-10-21)

### Bug Fixes

- duplicate types to solve circular dependency ([#27578](https://github.com/gatsbyjs/gatsby/issues/27578)) ([029ec48](https://github.com/gatsbyjs/gatsby/commit/029ec489a271ddeb7ad3fa174bd536c1b38db246))
- Update plugin schema testing util and associated tests ([#27574](https://github.com/gatsbyjs/gatsby/issues/27574)) ([6d81283](https://github.com/gatsbyjs/gatsby/commit/6d81283e4f47ae2cb571626bf4d02fcd2c9d1af4))

## [0.2.37](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.36...gatsby-plugin-utils@0.2.37) (2020-10-20)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.36](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.35...gatsby-plugin-utils@0.2.36) (2020-10-19)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.35](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.34...gatsby-plugin-utils@0.2.35) (2020-10-19)

### Features

- **gatsby-plugin-utils:** save validation resulting value to plugin options ([#27381](https://github.com/gatsbyjs/gatsby/issues/27381)) ([0073fb1](https://github.com/gatsbyjs/gatsby/commit/0073fb167e7ccddefbff8872b5b9bd488660804d))

## [0.2.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.33...gatsby-plugin-utils@0.2.34) (2020-10-16)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.32...gatsby-plugin-utils@0.2.33) (2020-10-16)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.31...gatsby-plugin-utils@0.2.32) (2020-10-15)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.30...gatsby-plugin-utils@0.2.31) (2020-10-14)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.29...gatsby-plugin-utils@0.2.30) (2020-10-13)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.28...gatsby-plugin-utils@0.2.29) (2020-10-13)

**Note:** Version bump only for package gatsby-plugin-utils

## [0.2.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.27...gatsby-plugin-utils@0.2.28) (2020-10-12)

### Bug Fixes

- **gatsby:** Make pluginOptionsSchema optional ([#27397](https://github.com/gatsbyjs/gatsby/issues/27397)) ([a67fb02](https://github.com/gatsbyjs/gatsby/commit/a67fb0212ac9bd94964d8d5c256beebe6cb6f253)), closes [#27242](https://github.com/gatsbyjs/gatsby/issues/27242)

### Features

- **gatsby-plugin-utils:** add testPluginOptionsSchema to verify plugin schema options ([#27334](https://github.com/gatsbyjs/gatsby/issues/27334)) ([6f842fb](https://github.com/gatsbyjs/gatsby/commit/6f842fb534d204590ca86e1c297edd4438969ac0))

## [0.2.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-plugin-utils@0.2.26...gatsby-plugin-utils@0.2.27) (2020-10-07)

### Features

- **gatsby:** plugin option validation ([#27242](https://github.com/gatsbyjs/gatsby/issues/27242)) ([9b01ca7](https://github.com/gatsbyjs/gatsby/commit/9b01ca7926efa1c4c6d58b33a137c2f0a0ef99b7))

## 0.2.26 (2020-10-06)

### Features

- **gatsby-plugin-utils:** add package and methods to validate plugin options ([#27164](https://github.com/gatsbyjs/gatsby/issues/27164)) ([49e6669](https://github.com/gatsbyjs/gatsby/commit/49e666983eb177be0974db7678fa0264a42d8ada))
